# MaterialSubsurfaceScattering(bpy_struct)

base class — `bpy_struct`

class `bpy.types.``MaterialSubsurfaceScattering`(bpy_struct)

  Diffuse subsurface scattering settings for a Material data-block

  `back`

    Back scattering weight

    Type: | float in [0, 10], default 0.0

  `color`

    Scattering color

    Type: | float array of 3 items in [0, inf], default (0.0, 0.0, 0.0)

  `color_factor`

    Blend factor for SSS colors

    Type: | float in [0, 1], default 0.0

  `error_threshold`

    Error tolerance (low values are slower and higher quality)

    Type: | float in [-inf, inf], default 0.0

  `front`

    Front scattering weight

    Type: | float in [0, 2], default 0.0

  `ior`

    Index of refraction (higher values are denser)

    Type: | float in [-inf, inf], default 0.0

  `radius`

    Mean red/green/blue scattering path length

    Type: | float array of 3 items in [0.001, inf], default (0.0, 0.0, 0.0)

  `scale`

    Object scale factor

    Type: | float in [-inf, inf], default 0.0

  `texture_factor`

    Texture scattering blend factor

    Type: | float in [0, 1], default 0.0

  `use`

    Enable diffuse subsurface scattering effects in a material

    Type: | boolean, default False

Inherited Properties

`bpy_struct.id_data` |

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` | `bpy_struct.keyframe_delete` `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values`

References

`Material.subsurface_scattering` |